Subject: Re: [bug#69591] [PATCH v4 00/32] Unbundle and update python-pytorch

From: Ludovic Courtès <[email-masked]>
Date: Tue, 18 Jun 2024 12:30:48 +0200

Hi David,

David Elsing <[email-masked]> skribis:

> This is a rebase to master, where the python-pytorch2 package was added. I
> removed it again, as this patch series updates the python-pytorch package to
> version 2.
> I also added the python-opt-einsum package to the propagated inputs like
> Ricardo did in the python-pytorch2 package, as I had missed it before.

This is impressive work.  I feel bad that it took 3 months to merge it,
but here we are!

I pushed the whole series as 2aeb37def258ad4dd23aaf57ed32f0be44d1bea5.

There were a couple of trivial merge conflicts, and in one case a patch
that was missing from ‘gnu/local.mk’, so I added it.  (BTW, ‘mumi am’
made apply the patches quite smooth, highly recommended!)

qa.guix hadn’t caught up so I built ‘r-torch’ and ‘python-pytorch’
locally to confirm that it still builds fine.

Thanks!

Ludo’.